import * as tslib_1 from "tslib";
import { isNil, } from "lodash";
var FetchyMiddleware = (function () {
    function FetchyMiddleware(config, nextMiddleware) {
        this.config = config;
        this.next = nextMiddleware;
    }
    FetchyMiddleware.prototype.processRequest = function (fetchParams, previousMiddleware) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this.previous = previousMiddleware;
                return [2, this.next.processRequest(fetchParams, this)];
            });
        });
    };
    FetchyMiddleware.prototype.processResponse = function (promise0) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2, this.processNextResponse(promise0)];
            });
        });
    };
    FetchyMiddleware.prototype.processNextResponse = function (promise) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                if (!isNil(this.previous)) {
                    return [2, this.previous.processResponse(promise)];
                }
                return [2, promise];
            });
        });
    };
    return FetchyMiddleware;
}());
export { FetchyMiddleware };
//# sourceMappingURL=base.js.map