import { FetchyMiddleware, IFetchyMiddlewareConfig } from "./base";
export interface IFetchyRavenMiddlewareConfig extends IFetchyMiddlewareConfig {
    categories?: {
        error: string;
        response: string;
    };
    ravenClient: any;
}
export declare class FetchyRavenMiddleware extends FetchyMiddleware {
    protected config: IFetchyRavenMiddlewareConfig;
    private errorCategory;
    private responseCategory;
    constructor(config: IFetchyRavenMiddlewareConfig, next: any);
    processResponse(promise0: Promise<Response>): Promise<Response>;
    private captureErrorBreadcrumb;
    private captureResponseBreadcrumb;
}
