export declare type FetchError = Error;
export declare class FetchyError extends Error {
    private failedResponses;
    private realErrors;
    constructor(message: string, responses?: Response[], errors?: Error[]);
    readonly responses: Response[] | null;
    readonly errors: Error[] | null;
    readonly response: Response;
    readonly error: Error;
    hasResponses(): boolean;
    hasErrors(): boolean;
    private saveResponses;
    private saveErrors;
}
