import { IFetchParams, IFetchyChain, IFetchyMiddlewareDeclaration } from "./middlewares/base";
import { IFetchyRetryMiddlewareConfig } from "./middlewares/retry";
export interface IFetchyConfig {
    middlewares?: IFetchyMiddlewareDeclaration[];
    retry: IFetchyRetryMiddlewareConfig | boolean;
}
export declare const validateMiddlewareDeclarations: (middlewares: IFetchyMiddlewareDeclaration[]) => boolean;
export declare const buildChain: (fetchyConfig: IFetchyConfig) => IFetchyChain | null;
export declare const executeChain: (chain: IFetchyChain, fetchParams: IFetchParams) => Promise<Response>;
