import { IFetchyConfig } from "./chain";
import { FetchyMiddleware } from "./middlewares/base";
import { ErrorNormalizationMiddleware } from "./middlewares/errorNormalization";
import { FetchyRavenMiddleware, IFetchyRavenMiddlewareConfig } from "./middlewares/raven";
import { IFetchyRetryMiddlewareConfig } from "./middlewares/retry";
import { FetchyError } from "./utils/error";
export { ErrorNormalizationMiddleware, FetchyError, FetchyMiddleware, FetchyRavenMiddleware, IFetchyConfig, IFetchyRavenMiddlewareConfig, IFetchyRetryMiddlewareConfig, };
export declare const fetchy: (input: string | Request, init: RequestInit, fetchyConfig: IFetchyConfig | undefined) => Promise<Response>;
export declare const fetch: (input: string | Request, init: RequestInit, fetchyConfig?: IFetchyConfig | undefined) => Promise<Response>;
