"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var lodash_1 = require("lodash");
var chain_1 = require("./chain");
var base_1 = require("./middlewares/base");
exports.FetchyMiddleware = base_1.FetchyMiddleware;
var errorNormalization_1 = require("./middlewares/errorNormalization");
exports.ErrorNormalizationMiddleware = errorNormalization_1.ErrorNormalizationMiddleware;
var raven_1 = require("./middlewares/raven");
exports.FetchyRavenMiddleware = raven_1.FetchyRavenMiddleware;
var error_1 = require("./utils/error");
exports.FetchyError = error_1.FetchyError;
var fetch_1 = require("./utils/fetch");
exports.fetchy = function (input, init, fetchyConfig) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    var chain;
    return tslib_1.__generator(this, function (_a) {
        if (!lodash_1.isNil(fetchyConfig)) {
            chain = chain_1.buildChain(fetchyConfig);
            if (chain !== null) {
                return [2, chain_1.executeChain(chain, { input: input, init: init })];
            }
        }
        return [2, fetch_1.customFetch(input, init)];
    });
}); };
exports.fetch = function (input, init, fetchyConfig) { return tslib_1.__awaiter(_this, void 0, void 0, function () { return tslib_1.__generator(this, function (_a) {
    return [2, exports.fetchy(input, init, fetchyConfig)];
}); }); };
//# sourceMappingURL=index.js.map