"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var lodash_1 = require("lodash");
var FetchyMiddleware = (function () {
    function FetchyMiddleware(config, nextMiddleware) {
        this.config = config;
        this.next = nextMiddleware;
    }
    FetchyMiddleware.prototype.processRequest = function (fetchParams, previousMiddleware) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this.previous = previousMiddleware;
                return [2, this.next.processRequest(fetchParams, this)];
            });
        });
    };
    FetchyMiddleware.prototype.processResponse = function (promise0) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2, this.processNextResponse(promise0)];
            });
        });
    };
    FetchyMiddleware.prototype.processNextResponse = function (promise) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                if (!lodash_1.isNil(this.previous)) {
                    return [2, this.previous.processResponse(promise)];
                }
                return [2, promise];
            });
        });
    };
    return FetchyMiddleware;
}());
exports.FetchyMiddleware = FetchyMiddleware;
//# sourceMappingURL=base.js.map