var _this = this;
import * as tslib_1 from "tslib";
import { isNil } from "lodash";
import { buildChain, executeChain, } from "./chain";
import { FetchyMiddleware } from "./middlewares/base";
import { ErrorNormalizationMiddleware } from "./middlewares/errorNormalization";
import { FetchyRavenMiddleware } from "./middlewares/raven";
import { FetchyError } from "./utils/error";
import { customFetch } from "./utils/fetch";
export { ErrorNormalizationMiddleware, FetchyError, FetchyMiddleware, FetchyRavenMiddleware, };
export var fetchy = function (input, init, fetchyConfig) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    var chain;
    return tslib_1.__generator(this, function (_a) {
        if (!isNil(fetchyConfig)) {
            chain = buildChain(fetchyConfig);
            if (chain !== null) {
                return [2, executeChain(chain, { input: input, init: init })];
            }
        }
        return [2, customFetch(input, init)];
    });
}); };
export var fetch = function (input, init, fetchyConfig) { return tslib_1.__awaiter(_this, void 0, void 0, function () { return tslib_1.__generator(this, function (_a) {
    return [2, fetchy(input, init, fetchyConfig)];
}); }); };
//# sourceMappingURL=index.js.map