export interface IFetchParams {
    input: RequestInfo;
    init: RequestInit;
}
export interface IFetchyMiddlewareConfig {
}
export interface IFetchyChain {
    start: IFetchyMiddleware;
}
export interface IFetchyMiddleware {
    processRequest(fetchParams: IFetchParams, previousMiddleware: FetchyMiddleware | null): Promise<Response>;
    processResponse(response: Promise<Response>): Promise<Response>;
}
export interface IFetchyMiddlewareDeclaration {
    class: any;
    config: IFetchyMiddlewareConfig;
}
export declare abstract class FetchyMiddleware implements IFetchyMiddleware {
    protected readonly config: IFetchyMiddlewareConfig;
    protected readonly next: FetchyMiddleware | null;
    protected previous: FetchyMiddleware | null;
    constructor(config: IFetchyMiddlewareConfig, nextMiddleware: FetchyMiddleware | null);
    processRequest(fetchParams: IFetchParams, previousMiddleware: FetchyMiddleware | null): Promise<Response>;
    processResponse(promise0: Promise<Response>): Promise<Response>;
    protected processNextResponse(promise: Promise<Response>): Promise<Response>;
}
