var _this = this;
import * as tslib_1 from "tslib";
import "isomorphic-fetch";
import { FetchyError } from "./error";
export var customFetch = function (input, init) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        return [2, fetch(input, init)
                .then(function (response) {
                if (!response.ok) {
                    throw new FetchyError("Fetch request failed with status " + response.status + " (" + input + ")", [response]);
                }
                return response;
            })
                .catch(function (error) {
                if (error instanceof FetchyError) {
                    throw error;
                }
                throw new FetchyError("An error has been catched (" + input + ")", undefined, [error]);
            })];
    });
}); };
//# sourceMappingURL=fetch.js.map