"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_1 = require("./base");
var ErrorNormalizationMiddleware = (function (_super) {
    tslib_1.__extends(ErrorNormalizationMiddleware, _super);
    function ErrorNormalizationMiddleware() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ErrorNormalizationMiddleware.prototype.processResponse = function (promise0) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var _this = this;
            return tslib_1.__generator(this, function (_a) {
                return [2, promise0
                        .catch(function (e) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                        return tslib_1.__generator(this, function (_a) {
                            if (e.hasErrors()) {
                                throw new TypeError(e.error.message);
                            }
                            return [2, this.processResponse(new Promise(function (resolve) {
                                    resolve(e.response);
                                }))];
                        });
                    }); })];
            });
        });
    };
    return ErrorNormalizationMiddleware;
}(base_1.FetchyMiddleware));
exports.ErrorNormalizationMiddleware = ErrorNormalizationMiddleware;
//# sourceMappingURL=errorNormalization.js.map