"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
require("isomorphic-fetch");
var error_1 = require("./error");
exports.customFetch = function (input, init) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        return [2, fetch(input, init)
                .then(function (response) {
                if (!response.ok) {
                    throw new error_1.FetchyError("Fetch request failed with status " + response.status + " (" + input + ")", [response]);
                }
                return response;
            })
                .catch(function (error) {
                if (error instanceof error_1.FetchyError) {
                    throw error;
                }
                throw new error_1.FetchyError("An error has been catched (" + input + ")", undefined, [error]);
            })];
    });
}); };
//# sourceMappingURL=fetch.js.map